
QGIS Application - Bug report #14043

feature rendering order not saved, settings lost when re-loading project

2015-12-29 06:01 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category: Symbology
Description

The newly-introduced feature rendering order setttings are not saved in the project file, leading to the settings being lost upon (re-)loading

a project.

Steps to reproduce

    1. Create a new project, add a vector layer

    2. Open the properties window, go to symbology

    3. Set a feature rendering order

    4. Save the newly created project

    5. Close the project, and re-load it

    6. Open the properties window, go to symbology

    7. Notice the feature rendering order settings are gone

Associated revisions

Revision 16aeb3f1 - 2016-01-05 05:23 AM - Mathieu Pellerin - nIRV

fix orderby not saved in several symbologies (fixes #14043)

Revision 614c84f2 - 2016-01-05 09:17 AM - Matthias Kuhn 

Merge pull request #2636 from nirvn/orderby_fix

[rendering order] fix order setting not saved in rule-based symb. (fixes #14043)

History

#1 - 2016-01-04 04:58 AM - Matthias Kuhn

- Status changed from Open to Feedback

Can't reproduce with a shapefile and the default symbology apart from the rendering order.

#2 - 2016-01-04 05:58 PM - Mathieu Pellerin - nIRV

- File testproject.zip added

Matthias, ok, it might have to do with the fact that the layer I was testing is a rule-based symbology.
I'm attaching a test project with a shapefile layer relying on rule-based symbology. Everytime I set rendering order, save the project, and re-load that

project afterwards, the rendering order setting is lost.

Hope that'll help nail the issue.

#3 - 2016-01-04 06:36 PM - Mathieu Pellerin - nIRV

This, https://github.com/qgis/QGIS/pull/2636, fixes the issue.

#4 - 2016-01-05 12:17 AM - Anonymous

- Status changed from Feedback to Closed

Fixed in changeset commit:"614c84f2c681ac8c8262a7130627272e40ac75c7".

Files

testproject.zip 311 KB 2016-01-04 Mathieu Pellerin - nIRV
https://github.com/qgis/QGIS/pull/2636

